%define date 20111025

%define major 3
%define libname %mklibname tomoyotools %{major}

Summary:	TOMOYO Linux tools
Name:		tomoyo-tools
Version:	2.5.0
Release:	5
License:	GPLv2+
Url:		http://tomoyo.sourceforge.jp/
Group:		System/Kernel and hardware
Source0:	http://osdn.dl.sourceforge.jp/tomoyo/27220/tomoyo-tools-%{version}-%{date}.tar.gz
Source1:	README.tomoyo-tools.urpmi
Source2:	tomoyo.logrotate
Source3:	tomoyo-auditd.service
BuildRequires:	help2man
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncurses)
Conflicts:	ccs-tools < 2.5.0
Obsoletes:	ccs-tools < 2.5.0

%description
TOMOYO Linux is an extension for Linux to provide Mandatory Access Control
(MAC) functions. This package contains the tools needed to configure,
activate and manage the TOMOYO Linux MAC system and policies.

%files
%doc README.install.urpmi
%{_sysconfdir}/logrotate.d/tomoyo
%attr(700,root,root) /sbin/tomoyo-init
%{_libdir}/tomoyo/
%{_sbindir}/tomoyo*
%{_mandir}/man8/tomoyo*
%{_mandir}/man8/init_policy.8*
%{_logdir}/tomoyo/
%{_unitdir}/tomoyo-auditd.service

%post
%_add_service_helper --no-sysv %{name} $1 tomoyo-auditd.service

%preun
%_del_service_helper --no-sysv %{name} $1 tomoyo-auditd.service

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared tomoyotools library
Group:		System/Libraries
Conflicts:	%{_lib}tomoyotools1 < 2.5.0-5
Obsoletes:	%{_lib}tomoyotools1 < 2.5.0-5

%description -n %{libname}
This package provides the tomoyo shared library

%files -n %{libname}
%{_libdir}/libtomoyotools.so.%{major}*

#----------------------------------------------------------------------------

%prep
%setup -qn tomoyo-tools

%build
# install library to correct path
make USRLIBDIR=%{_libdir} CFLAGS="-Wall %{optflags}"

%install
make INSTALLDIR=%{buildroot} USRLIBDIR=%{_libdir} install

install -m 644 %{SOURCE1} README.install.urpmi
install -m 644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/tomoyo
install -m 644 -D %{SOURCE3} %{buildroot}%{_unitdir}/tomoyo-auditd.service
install -m 700 -d %{buildroot}%{_logdir}/tomoyo


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.5.0-5
- (921319a) Fix library major
- (921319a) Spec cleanup


